<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Hunting Cache Deception Vulnerabilities — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --url <val> --check <val>` | Analyze caching behavior and rules |
| `test --url <val> --path <val>` | Test path confusion variants |
| `exploit --url <val> --extension <val>` | Exploit cache deception |
| `report --url <val> --format <val>` | Generate cache deception report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--check` | string | Yes | Check parameter |
| `--path` | string | Yes | Path parameter |
| `--extension` | string | Yes | Extension parameter |
| `--format` | string | Yes | Format parameter |
